package com.arms.api.holidayadmin.model.dto;

import com.arms.api.holidayadmin.model.entity.HolidayEntity;
import com.arms.egovframework.javaservice.esframework.model.dto.request.SearchRequestDTO;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class HolidayDTO extends SearchRequestDTO {

    private String id;

    private String name;

    private String holiday;

    public HolidayDTO toBbsDtoWithBoardTypeAndGroupId(HolidayEntity holidayEntity){
        HolidayDTO holidayDTO = new HolidayDTO();
        return holidayDTO;
    }

    public HolidayEntity toBbsEntityWithUpdate(){
        return createEntity();
    }

    public HolidayEntity toBbsEntityWithCreate(){

        HolidayEntity holidayEntity = createEntity();

        return holidayEntity;
    }

    private HolidayEntity createEntity() {
        return HolidayEntity.builder()
                .name(this.name)
                .holiday(this.holiday)
                .build();
    }



}
